MM2HTML(1)

NAME
mm2html - convert mm/man input to html

SYNOPSIS
mm2html [ -i option-file ] [ -o option=value ] [ file... ]

DESCRIPTION
mm2html is a sed(1) / ksh(1) script that converts an input mm(1) or man(1) documents to an HTML document on the standard output. troff2html(1) is similar but does a full troff(1) parse.

  Options

-i file
    Reads option=value settings from file. See -o for a description of the option names. Unknown options in file are ignored.

-o[no]option[=value...]
    Sets options by name. If no is specified then value is ignored and the option is turned off. The options are:

    author=text
        Sets the author contact information that is placed in the document HEAD section.

    background=URL
        The URL of the document background.

    logo=URL
        Sets the URL of the logo/banner image that is centered at the top of the document.

    mailto=address
        Sets the address to send comments and suggestions.

    meta.name=content
        Emits the HTML tag <META NAME=name CONTENT=content>.

    package=text
        Prepended to the HTML document title.

    title=text
        Sets the HTML document title.

  Extensions
Local URL links are generated for all .SH, .SS and .H 1 headings. These can be referenced by embedding the benign (albeit convoluted) troff construct:
    \h'0*\w"label"'text\h'0'
where label is the local link label and text is the hot link text. Use the following if text and label are the same:
    \h'0*1'text\h'0'

CAVEATS
mm2html is only a script; a myriad of wierd troff(1) constructs can blow its mind.

SEE ALSO
html2rtf(1), ksh(1), man(1), mm(1), sed(1), troff(1), troff2html(1)